rm -f /usr/share/icons/hicolor/icon-theme.cache
if ! /usr/bin/gtk-query-immodules-2.0 --update-cache
then
/usr/bin/mkdir -p /etc/gtk-2.0
/usr/bin/chmod 777 /etc/gtk-2.0
/usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
fi

/usr/bin/gtk-query-immodules-3.0 --update-cache

